<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <title>Seasell - Register</title>

  <link rel="icon" type="image/x-icon" href="includes/images/icon-logo.png">
  <link rel="stylesheet" href="includes/css-bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="css/register.css">

  <script type="module" src="./includes/js/bootstrap.bundle.js"></script>
  <script src="/FrontEnd/includes/js/jquery.js"></script>

  <script>
    function onlyNumberKey(evt) {
      //only number in mobile no textbox
      var ASCIICode = evt.which ? evt.which : evt.keyCode;
      if (ASCIICode > 31 && (ASCIICode < 48 || ASCIICode > 57)) return false;
      return true;
    }

    function enablecity() {
      //change of disabled of dropdown-city
      let targetdropdown = document.getElementById("city");
      if (region.value) {
        targetdropdown.disabled = false;
      } else {
        targetdropdown.disabled = true;
      }
    }

    function registernow(is_fasttrack = false) {
      let txtbox_username = document.getElementById("username");
      let txtbox_password = document.getElementById("password");
      let txtbox_region = document.getElementById("region");
      let txtbox_city = document.getElementById("city");
      let txtbox_email = document.getElementById("email");
      let txtbox_mobilenum = document.getElementById("mobile_no");

      if (is_fasttrack) {
        $.post(
          "/BackEnd/php/ajax/acct/register-fasttrack.php",
          {
            username: txtbox_username.value,
            password: txtbox_password.value,
            region: txtbox_region.value,
            city: txtbox_city.value,
            email: txtbox_email.value,
            phone: txtbox_mobilenum.value
          },
          function (resp) {
            if (String(resp).includes("SUCCESS:") && !String(resp).includes("ERROR:")) {
              alert("DEBUG: Registration fasttracked! Redirecting to the log-in page...");
              window.location.href = "./login.html";
              return;
            }
            else {
              console.log(resp)
              alert("WARNING: Server returned ERROR! Check your browser's console for information.");
            }
          }
        );
        return;
      }
      else {
        $.post(
          "/BackEnd/php/ajax/acct/register-fasttrack.php",
          {
            username: txtbox_username.value,
            password: txtbox_password.value,
            region: txtbox_region.value,
            city: txtbox_city.value,
            email: txtbox_email.value,
            mobilenum: txtbox_mobilenum.value
          },
          function (resp) {
            if (String(resp).includes("SUCCESS:") && !String(resp).includes("ERROR:")) {
              alert("DEBUG: Registration fasttracked! Redirecting to the log-in page...");
              window.location.href = "./login.html";
              return;
            }
            else {
              console.log(resp)
              alert("WARNING: Server returned ERROR! Check your browser's console for information.");
            }
          }
        );
        return;
      }
    }

    function regist_onload() {
      document.getElementById("region").addEventListener("click", function () {
        if (this.value != null) {
          enablecity();
        }
      });

      document.getElementById("register").addEventListener("click", function () {
        registernow(true);
      });
    }
  </script>

  <!--font links-->
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@200&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Noto+Sans:wght@300&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet">
</head>

<body onload="regist_onload()">
  <div class="container-fluid">
    <div class="row">
      <div class="col-xxl-2 col-xl-1"></div>
      <div class="col-xxl-8 col-xl-10">
        <div class="container-box">
          <div class="row">
            <div class="col-xxl-6 col-lg-6 col-md-12">
              <div class="box">
                <img src="./includes/images/logo3wcolor1.png" class="logo">
                <h1 class="title-txt">Create new account.</h1>
                <p class="p1">Have already an account?<a href="login.html" class="p2"> Login</a></p>

                <label class="p3" style="margin-top: 25px;">Username</label><br>
                <input type="text" class="register-txtbox" id="username" placeholder="Enter Username"
                oninput='validation("username")' maxlength="40">
                <label id="req1">ddddd</label><br>
                
                <div class="pass-icon" id = "pass-icon" onclick="showpass()"></div>
                <input type="checkbox" id = "checkbox" hidden>

                <label class="p3">Password</label><br>
                <input type="password" class="register-txtbox" id="password" placeholder="Enter Password"
                oninput="validation('password')" maxlength="60">
                <label id="req2">ddddd</label><br>

                <label class="p3">Region</label><br>
                <select id="region" class="register-txtbox" id="region" onclick="validation('region')">
                  <option value="" disabled selected>Select Region</option>
                  <option value="region1">Metro Manila (NCR)</option>
                </select>
                <label id="req3">ddddd</label><br>

                <label class="p3">City</label><br>
                <select id="city" class="register-txtbox" id = "city" disabled onclick="validation('city')">
                  <option value="" disabled selected>Select City</option>
                  <option value="">Caloocan City</option>
                  <option value="">Las Pinas</option>
                  <option value="">Makati City</option>
                  <option value="">Malabon City</option>
                  <option value="">Mandaluyong City</option>
                  <option value="">Manila</option>
                  <option value="">Marikina City</option>
                  <option value="">Muntinlupa City</option>
                  <option value="">Navotas City</option>
                  <option value="">Paranaque City</option>
                  <option value="">Pasay City</option>
                  <option value="">Pasig City</option>
                  <option value="">Pateros City</option>
                  <option value="">San Juan City</option>
                  <option value="">Taguig</option>
                  <option value="">Valenzuela</option>
                </select>
                <label id="req4">ddddd</label><br>

                <label class="p3">Email Address</label><br>
                <input type="text" class="register-txtbox" id="email" placeholder="Enter Email Address"
                oninput="validation('email')" maxlength="40">
                <label id="req5">ddddd</label><br>

                <label class="p3">Mobile Number</label><br>
                <input type="text" class="register-txtbox" id="mobile_no" placeholder="Enter Mobile Number" 
                onkeypress="return onlyNumberKey(event)" maxlength="12" oninput="validation('mobile')">
                <label id="req6">ddddd</label><br>

                <input type="submit" class="register-btn" value="Register" id="register"> <!-- TEMPORARY: MUST BE DISABLED BY DEFAULT-->
              </div>
            </div>
            <div class="col-xxl-6 col-lg-6">
              <div class="box2">
                <div class="text-pic">Lets Get Started</div>
                <div class="text-pic-1">Favorite brands and hottest trends.</div>
                <div class="pic-icon"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-xxl-2 col-xl-1"></div>
    </div>
  </div>
</div>
<!--
  <div class="container-fluid">
    <div class="row r"></div>
    <div class="row">
      <div class="col-xxl-4 "></div>
      <div class="col-xxl-4">
        <div class="box">
          <center><img src="includes/images/logo-color.png" class="logo"></center>
          <p class="title">Sign Up</p>
          <form method="">
            <div class="contain-item"> 
              <input type="text" class="form-control txtbox" placeholder="Username" id="username"
              minlength="5" maxlength="30" pattern="[a-zA-Z0-9._-]{1,}" title="do not include special characters" required>
            </div>
            <div class="contain-item">
              <input type="password" class="form-control txtbox" placeholder="Password" id="password"
              minlength = "8" maxlength="20"
              required>
              
            </div>
            <div class="contain-item"> 
              <select id="region" class="form-control txtbox f1" required>
                <option disabled selected>Select a region</option>
                <option value="ncr">Metro Manila (NCR)</option>
              </select>
            </div>
            <div class="contain-item"> 
              <select id="city" class="form-control txtbox f1" disabled required>
                <option disabled selected>Select a city</option>
                <option value="caloocan">Caloocan City</option>
                <option value="las_pinas">Las Pinas</option>
                <option value="makati">Makati City</option>
                <option value="malabon">Malabon City</option>
                <option value="mandaluyong">Mandaluyong City</option>
                <option value="manila">Manila</option>
                <option value="marikina">Marikina City</option>
                <option value="muntinlupa">Muntinlupa City</option>
                <option value="navotas">Navotas City</option>
                <option value="paranaque">Paranaque City</option>
                <option value="pasay">Pasay City</option>
                <option value="pasig">Pasig City</option>
                <option value="pateros">Pateros City</option>
                <option value="san_juan">San Juan City</option>
                <option value="taguig">Taguig</option>
                <option value="Valenzuela">Valenzuela</option>
              </select>
            </div>
            <div class="contain-item"> 
              <input type="email" class="form-control txtbox" placeholder="Email Address" id="email"
              minlength="9" maxlength="30" pattern="[a-zA-Z-z0-9.]+@[a-zA-Z.-]+\.[a-zA-Z]{2,}$" 
              title="Enter a valid email" required>
            </div>
            <div class="contain-item">
              <input type="text" class="form-control txtbox" placeholder="Mobile number" id="mobile_no"
              minlength="11" maxlength="12" name="phoneno" onkeypress="return onlyNumberKey(event)"
              required>
            </div>
            <div class="contain-item lst">
              <input type="checkbox" class="form-check-input checkbox" value="" required>
              <label class="form-check-label">
                I agree with the <font class="p3">Terms of condition</font>
              </label>
            </div>
            <input type="button" class="login-btn" value="REGISTER" id="register">
          </form>
          <p class="p1">Have already an account?<a href="login.html" class="p2"> Login here</a></p>
        </div>
      </div>
      <div class="col-xxl-4 "></div>
    </div>
    <div class="row r"></div>
  </div>-->
</body>

</html>